Bug 650698 - [abrt] pylint-0.21.1-2.fc14: utils.py:262:add_message:KeyError: 'RP0401'
Summary: [abrt] pylint-0.21.1-2.fc14: utils.py:262:add_message:KeyError: 'RP0401'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pylint
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:96643a9b
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-07 19:56 UTC by Guillaume Lemaître
Modified: 2010-12-13 20:14 UTC (History)
3 users (show)

Fixed In Version: pylint-0.22.0-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-13 20:14:07 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (957 bytes, text/plain)
2010-11-07 19:56 UTC, Guillaume Lemaître
no flags Details

Description Guillaume Lemaître 2010-11-07 19:56:57 UTC
abrt version: 1.1.13
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/pylint interface.py MyBot.py sitac.py
component: pylint
executable: /usr/bin/pylint
kernel: 2.6.35.6-48.fc14.x86_64
package: pylint-0.21.1-2.fc14
reason: utils.py:262:add_message:KeyError: 'RP0401'
release: Fedora release 14 (Laughlin)
time: 1289159700
uid: 500

backtrace
-----
utils.py:262:add_message:KeyError: 'RP0401'

Traceback (most recent call last):
  File "/usr/bin/pylint", line 4, in <module>
    lint.Run(sys.argv[1:])
  File "/usr/lib/python2.7/site-packages/pylint/lint.py", line 856, in __init__
    linter.check(args)
  File "/usr/lib/python2.7/site-packages/pylint/lint.py", line 494, in check
    checker.close()
  File "/usr/lib/python2.7/site-packages/pylint/checkers/imports.py", line 218, in close
    self.add_message('RP0401', args=' -> '.join(cycle))
  File "/usr/lib/python2.7/site-packages/pylint/checkers/__init__.py", line 92, in add_message
    self.linter.add_message(msg_id, line, node, args)
  File "/usr/lib/python2.7/site-packages/pylint/utils.py", line 262, in add_message
    msg = self._messages[msgid].msg
KeyError: 'RP0401'

Local variables in innermost frame:
node: None
msgid: 'RP0401'
self: <pylint.lint.PyLinter object at 0x1935e90>
args: 'interface -> sitac'
line: None
msg_cat: 'refactor'

Comment 1 Guillaume Lemaître 2010-11-07 19:56:59 UTC
Created attachment 458502 [details]
File: backtrace

Comment 2 Cole Robinson 2010-11-17 21:01:01 UTC
I'm seeing this too. Easy reproducer:

fedpkg co python-virtinst
cd python-virtinst
fedpkg prep
cd virtinst-0.500.4
pylint virtinst

Makes a lot of progress before backtracing

Comment 3 Fedora Update System 2010-11-29 19:54:24 UTC
pylint-0.22.0-1.fc14,python-logilab-astng-0.21.0-1.fc14,python-logilab-common-0.53.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/pylint-0.22.0-1.fc14,python-logilab-astng-0.21.0-1.fc14,python-logilab-common-0.53.0-1.fc14

Comment 4 Fedora Update System 2010-11-30 22:28:57 UTC
pylint-0.22.0-1.fc14, python-logilab-astng-0.21.0-1.fc14, python-logilab-common-0.53.0-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pylint python-logilab-astng python-logilab-common'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/pylint-0.22.0-1.fc14,python-logilab-astng-0.21.0-1.fc14,python-logilab-common-0.53.0-1.fc14

Comment 5 Fedora Update System 2010-12-07 20:18:47 UTC
pylint-0.22.0-2.fc14, python-logilab-astng-0.21.0-2.fc14, python-logilab-common-0.53.0-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pylint python-logilab-astng python-logilab-common'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/pylint-0.22.0-2.fc14,python-logilab-astng-0.21.0-2.fc14,python-logilab-common-0.53.0-1.fc14

Comment 6 Fedora Update System 2010-12-13 20:13:53 UTC
pylint-0.22.0-2.fc14, python-logilab-astng-0.21.0-2.fc14, python-logilab-common-0.53.0-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.